Index: /data/trunk/worlds/dam.mtl
===================================================================
--- /data/trunk/worlds/dam.mtl	(revision 4078)
+++ /data/trunk/worlds/dam.mtl	(revision 4078)
@@ -0,0 +1,30 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Con7.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG1
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Con16.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Con16.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
Index: /data/trunk/worlds/lake.mtl
===================================================================
--- /data/trunk/worlds/lake.mtl	(revision 4077)
+++ /data/trunk/worlds/lake.mtl	(revision 4078)
@@ -1,39 +1,8 @@
-newmtl Mat_12
+newmtl blinn1SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
+Ka 0.69 0.69 0.69
 Tf 1.00 1.00 1.00
+map_Kd map.jpg
 Ni 1.00
-Ks 1.00 0.55 0.40
-Ns 50.78
-newmtl Mat_14
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.00 0.00 0.00
-Ns 50.78
-newmtl Mat_16
-illum 4
-Kd 1.00 1.00 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.00 0.00 0.00
-Ns 50.78
-newmtl default3
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.00 0.00 0.00
-Ns 0.00
-newmtl initialShadingGroup
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras_128.jpg
-Ni 1.00
+Ks 0.50 0.50 0.50
Index: ta/trunk/worlds/mountainlake.oxw
===================================================================
--- /data/trunk/worlds/mountainlake.oxw	(revision 4077)
+++ 	(revision )
@@ -1,137 +1,0 @@
-<WorldDataFile>
-  <name>Mountain Lake</name>
-  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
-  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
-
-  <LoadScreen>
-    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
-    <ElementCount>12</ElementCount>
-    <BackgroundPS>0,0,1.01,1</BackgroundPS>
-    <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screens/default_bar.png</BarImage>
-  </LoadScreen>
-
-  <ScriptManager>
-
-   <Scripts>
-
-    <Script>
-     <file>cloud.lua</file>
-     <object>CloudEffect, myClouds</object>
-    </Script>
-    <!--<Script>
-     <file>lieni.lua</file>
-     <object>MappedWater, water1</object>
-    </Script>-->
-   </Scripts>
-
-   <ScriptTriggers>
-
-    <ScriptTrigger>
-     <file>cloud.lua</file>
-     <function>tick</function>
-     <abs-coor>0,100,0</abs-coor>
-     <radius>10</radius>
-     <worldentity>Player</worldentity>
-     <triggerlasts>true</triggerlasts>
-     <debugdraw>true</debugdraw>
-    </ScriptTrigger>
-
-    <!--<ScriptTrigger>
-     <file>lieni.lua</file>
-     <function>tick</function>
-     <abs-coor>0,200,0</abs-coor>
-     <radius>10</radius>
-     <worldentity>Player</worldentity>
-     <triggerlasts>true</triggerlasts>
-     <debugdraw>true</debugdraw>
-    </ScriptTrigger>-->
-
-   </ScriptTriggers>
-
-  </ScriptManager>
-
-  <WorldEntities>
-    <Hover>
-      <name>Player</name>
-      <abs-coor>50, 100, 50</abs-coor>
-    </Hover>
-
-    <Terrain>
-      <name>water</name>
-      <model>worlds/lake.obj, 1</model>
-    </Terrain>
-
-    <SpaceShip>
-      <name>Player2</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>50,460,300</abs-coor>
-    </SpaceShip>
-
-    <MappedWater>
-      <name>water1</name>
-      <waterpos>-500,20,-500</waterpos>
-      <watersize>1000,1000</watersize>
-      <wateruv>9</wateruv>
-      <waterflow>0.08</waterflow>
-      <lightpos>50,460,300</lightpos>
-      <shinesize>128</shinesize>
-      <shinestrength>0.7</shinestrength>
-      <reflstrength>1</reflstrength>
-      <watercolor>0.1, 0.2, 0.4</watercolor>
-      <waterangle>0</waterangle>
-      <refraction>0.009</refraction>
-    </MappedWater>
-
-
-    <SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>10000</Size>
-    </SkyBox>
-</WorldEntities>
-
-  <LightManager>
-    <ambient-color>1,1,1</ambient-color>
-    <Lights>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,100,50</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,0,100</abs-coor>
-      </Light>
-      <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,2000,50</abs-coor>
-      </Light>
-    </Lights>
-  </LightManager>
-
-
-  <AtmosphericEngine>
-    <WeatherEffect>
-
-      <FogEffect>
-      </FogEffect>
-
-      <RainEffect>
-        <option>moverain</option>
-      </RainEffect>
-
-      <SnowEffect>
-      </SnowEffect>
-
-      <LightningEffect>
-      </LightningEffect>
-
-      <CloudEffect>
-        <name>myClouds</name>
-      </CloudEffect>
-
-    </WeatherEffect>
-  </AtmosphericEngine>
-
-
-</WorldDataFile>
Index: /data/trunk/worlds/sp_demo_mountain_lake.oxw
===================================================================
--- /data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 4077)
+++ /data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 4078)
@@ -1,4 +1,4 @@
 <WorldDataFile>
-  <name>Demo: Mountain Lake</name>
+  <name>Mountain Lake</name>
   <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
   <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
@@ -12,12 +12,63 @@
   </LoadScreen>
 
+  <ScriptManager>
+
+   <Scripts>
+
+    <Script>
+     <file>cloud.lua</file>
+     <object>CloudEffect, myClouds</object>
+    </Script>
+
+   </Scripts>
+
+   <ScriptTriggers>
+
+    <ScriptTrigger>
+     <file>cloud.lua</file>
+     <function>tick</function>
+     <abs-coor>0,100,0</abs-coor>
+     <radius>10</radius>
+     <worldentity>Player</worldentity>
+     <triggerlasts>true</triggerlasts>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>
+
+   </ScriptTriggers>
+
+  </ScriptManager>
 
   <WorldEntities>
+    <Hover>
+      <name>Player</name>
+      <abs-coor>50, 100, 50</abs-coor>
+    </Hover>
 
-    <Spacecraft2D>
-      <name>Player</name>
+    <Terrain>
+      <name>water</name>
+      <model>worlds/lake.obj, 2</model>
+    </Terrain>
+
+    <SpaceShip>
+      <name>Player2</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>50, 100, 50</abs-coor>
-    </Spacecraft2D>
+      <abs-coor>50,460,300</abs-coor>
+    </SpaceShip>
+
+    <MappedWater>
+      <name>water1</name>
+      <waterpos>-500,20,-500</waterpos>
+      <watersize>1000,1000</watersize>
+      <wateruv>9</wateruv>
+      <waterflow>0.08</waterflow>
+      <lightpos>50,460,300</lightpos>
+      <shinesize>128</shinesize>
+      <shinestrength>0.7</shinestrength>
+      <reflstrength>1</reflstrength>
+      <watercolor>0.1, 0.2, 0.4</watercolor>
+      <waterangle>0</waterangle>
+      <refraction>0.009</refraction>
+    </MappedWater>
+
 
     <SkyBox>
@@ -26,20 +77,5 @@
      <Size>10000</Size>
     </SkyBox>
-    <Terrain>
-      <name>water</name>
-      <model>worlds/sea_ground.obj, 4</model>
-    </Terrain>
-
-    <MappedWater>
-      <waterpos>-500,20,-500</waterpos>
-      <watersize>1000,1000</watersize>
-      <wateruv>9</wateruv>
-      <waterflow>0.08</waterflow>
-      <lightpos>10,15,10</lightpos>
-      <!--<lightPos>500,4850,4650</lightPos>-->
-    </MappedWater>
-
-  </WorldEntities>
-
+</WorldEntities>
 
   <LightManager>
@@ -62,3 +98,27 @@
 
 
+  <AtmosphericEngine>
+    <WeatherEffect>
+
+      <FogEffect>
+      </FogEffect>
+
+      <RainEffect>
+        <option>moverain</option>
+      </RainEffect>
+
+      <SnowEffect>
+      </SnowEffect>
+
+      <LightningEffect>
+      </LightningEffect>
+
+      <CloudEffect>
+        <name>myClouds</name>
+      </CloudEffect>
+
+    </WeatherEffect>
+  </AtmosphericEngine>
+
+
 </WorldDataFile>
